package cn.com.tenlion.materialstore.pojo.dtos.materialmap;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: MaterialMapDTO
 * @Description: 经纬度素材
 * @Author: CodeFactory
 * @Date: 2021-05-28 11:01:59
 * @Version: 3.0
 **/
@ApiModel
public class MaterialMapDTO {

    @ApiModelProperty(name = "materialMapId", value = "经纬度素材表")
    private String materialMapId;
    @ApiModelProperty(name = "materialMapLong", value = "经度")
    private Double materialMapLong;
    @ApiModelProperty(name = "materialMapLat", value = "纬度")
    private Double materialMapLat;
    @ApiModelProperty(name = "materialMapAddress", value = "地址")
    private String materialMapAddress;
    @ApiModelProperty(name = "materialId", value = "素材包ID")
    private String materialId;
    @ApiModelProperty(name = "materialOrder", value = "排序")
    private Integer materialOrder;
    @ApiModelProperty(name = "materialRemark", value = "备注")
    private String materialRemark;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;
    @ApiModelProperty(name = "materialStatus", value = "")
    private Integer materialStatus;
    @ApiModelProperty(name = "creatorName", value = "")
    private String creatorName;

    public Integer getMaterialStatus() {
        return materialStatus;
    }

    public void setMaterialStatus(Integer materialStatus) {
        this.materialStatus = materialStatus;
    }

    public String getCreatorName() {
        return creatorName == null ? "" : creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getMaterialMapId() {
        return materialMapId == null ? "" : materialMapId.trim();
    }

    public void setMaterialMapId(String materialMapId) {
        this.materialMapId = materialMapId;
    }

    public Double getMaterialMapLong() {
        return materialMapLong == null ? 0D : materialMapLong;
    }

    public void setMaterialMapLong(Double materialMapLong) {
        this.materialMapLong = materialMapLong;
    }

    public Double getMaterialMapLat() {
        return materialMapLat == null ? 0D : materialMapLat;
    }

    public void setMaterialMapLat(Double materialMapLat) {
        this.materialMapLat = materialMapLat;
    }

    public String getMaterialMapAddress() {
        return materialMapAddress == null ? "" : materialMapAddress.trim();
    }

    public void setMaterialMapAddress(String materialMapAddress) {
        this.materialMapAddress = materialMapAddress;
    }

    public String getMaterialId() {
        return materialId == null ? "" : materialId.trim();
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public Integer getMaterialOrder() {
        return materialOrder == null ? 0 : materialOrder;
    }

    public void setMaterialOrder(Integer materialOrder) {
        this.materialOrder = materialOrder;
    }

    public String getMaterialRemark() {
        return materialRemark == null ? "" : materialRemark.trim();
    }

    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
